VST 3 SDK VST 3.7 SDK for developing VST plug-in

Public Types | Public Member Functions | Protected Attributes | List of all members
TestEnh Class Reference

Test Helper. More...

`#include <testbase.h>`

Inheritance diagram for TestEnh:

## Public Types
enum | AudioDefaults { kBlockSize = 64 , kMaxSamplesPerBlock = 8192 , kSampleRate = 44100 }

## Public Member Functions
| TestEnh (ITestPlugProvider *plugProvider, ProcessSampleSize sampl)
| ~TestEnh () override
bool | setup () SMTG_OVERRIDE
bool | teardown () SMTG_OVERRIDE
Public Member Functions inherited from TestBase
| TestBase (ITestPlugProvider *plugProvider)
virtual | ~TestBase ()
virtual const char * | getName () const =0
DECLARE_FUNKNOWN_METHODS bool | setup () SMTG_OVERRIDE
bool | run (ITestResult *) SMTG_OVERRIDE=0
bool | teardown () SMTG_OVERRIDE
virtual bool | activateMainIOBusses (bool val)
virtual void | printTestHeader (ITestResult *testResult)
Public Member Functions inherited from ITest
virtual bool | setup ()=0
virtual bool | run (ITestResult *testResult)=0
virtual bool | teardown ()=0
virtual const char * | getDescription ()
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Attributes
IAudioProcessor * | audioEffect
ProcessSetup | processSetup
Protected Attributes inherited from TestBase
ITestPlugProvider * | plugProvider
IComponent * | vstPlug
IEditController * | controller

## Additional Inherited Members
Static Public Attributes inherited from ITest
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Test Helper.

## Member Enumeration Documentation

## ◆ AudioDefaults

enum AudioDefaults

Enumerator
kBlockSize |
kMaxSamplesPerBlock |
kSampleRate |

## Constructor & Destructor Documentation

## ◆ TestEnh()

TestEnh | ( | ITestPlugProvider * | plugProvider,
|  | ProcessSampleSize | sampl
| ) |  |

## ◆ ~TestEnh()

~TestEnh | ( |  | ) |
| override

## Member Function Documentation

## ◆ setup()

bool setup | ( |  | ) |
| virtual

Reimplemented from TestBase.

## ◆ teardown()

bool teardown | ( |  | ) |
| virtual

Reimplemented from TestBase.

## Member Data Documentation

## ◆ audioEffect

IAudioProcessor* audioEffect
| protected

## ◆ processSetup

ProcessSetup processSetup
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.